rte_flow_modify_conntrack(3)

NAME
rte_flow_modify_conntrack

SYNOPSIS

#include <rte_flow.h>

  Data Fields

struct rte_flow_action_conntrack new_ct
uint32_t direction:1
uint32_t state:1
uint32_t reserved:30

Detailed Description

RTE_FLOW_ACTION_TYPE_CONNTRACK

Wrapper structure for the context update interface. Ports cannot support updating, and the only valid solution is to destroy the old context and create a new one instead.

Definition at line 4087 of file rte_flow.h.

Field Documentation

  struct rte_flow_action_conntrack new_ct
New connection tracking parameters to be updated.

Definition at line 4089 of file rte_flow.h.

  uint32_t direction
The direction field will be updated.

Definition at line 4091 of file rte_flow.h.

  uint32_t state
All the other fields except direction will be updated.

Definition at line 4093 of file rte_flow.h.

  uint32_t reserved
Reserved bits for the future usage.

Definition at line 4095 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.